IRD(8)

NAME
ird - MICO interface repository server

SYNOPSIS
ird [<options>]

DESCRIPTION
ird implements the interface repository, the part of CORBA where runtime type information is stored. ird is terminated by pressing ctrl-c or by sending it the SIGTERM signal.

OPTIONS

--help
    Gives an overview of all supported command line options.

--db=<database-file>
    Specifies the file name where ird should save the contents of the interface repository when exiting. When ird is restarted afterwards it will read the file given by the --db option to restore the contents of the interface repository. Notice that the contents of this database file is just plain ASCII representing a CORBA IDL specification.

--ior=<ior-file>
    The stringified IOR of the Interface Repository is written to ior-file. If - is used as ior-file, the IOR is written to standard output.

FILES
~/.micorc

SEE ALSO
MICO Reference Manual, rsh(1), micod(8), imr(1), micorc(5), idl(1)

COPYRIGHT
Copyright (C) 1997, Kay Roemer & Arno Puder

AUTHOR
Kay Roemer & Arno Puder